Apache C++ Standard Library Reference Guide

## time_get_byname

Library: Localization

                               time_base
    time_get_byname  time_get
                               locale::facet

- Local Index
- Summary
- Synopsis
- Specializations
- Description
- Interface
- Constructors
- See Also
- Standards Conformance

### Local Index

#### Members

time_get_byname() |

### Summary

A time formatting facet for input, based on the named locales

### Synopsis

    #include <locale>

    namespace std {
      template <class charT, class InputIterator =
                  istreambuf_iterator<charT> >
      class time_get_byname;
    }

### Specializations

    template <> class time_get_byname<char>;
    template <> class time_get_byname<wchar_t>;

### Description

The time_get_byname template has the same function as the time_get template, but is specific to a particular named locale. For a description of the member functions of time_get_byname, see the reference for time_get.

### Interface

    namespace std {

      template <class charT, class InputIterator =
                istreambuf_iterator<charT> >
      class time_get_byname : public time_get<charT,InputIterator> {

        public:
        explicit time_get_byname(const char*, size_t = 0);

        };
    }

### Constructors

    explicit time_get_byname(const char* name,
                               size_t refs = 0);

Constructs a time_get_byname object for the locale given by name. Calls `time_get<char_type>::time_get (refs)`.

### See Also

locale, Facets, time_get, time_put_byname

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 22.2.5.2